# Chapter 2: Visual Modeling

"In the case of miniatures, in contrast to what happens when we try to
understand an object or living creature of real dimensions, knowledge of the
whole precedes knowledge of the parts. And even if this is an illusion, the point
of the procedure is to create or sustain the illusion, which gratifies the
intelligence and gives rise to a sense of pleasure which can already be called a es the tic."
Claude Levi -Strauss, The SavageMind Models
Most physical models are miniatures, smaller versions of something else. Model railroad engines are good examples, and many of us have had pleasant experiences with them. They can be picked up and looked at from any angle, and they can be experimented with, too. How many wagons, for example, can a model locomotive pull? Attach 10 wagons and see if the locomotive can pull them. And if you should sit beneath a model railway bridge when the tiny engine rolls across it, pulling all those wagons, what will the sound be like? Will it be like the real thing? Listen carefully and you will experience a double thrill : an excitement that comes from using a model to hear how a full -sized locomotive might sound; an excitement that comesfrom simply playing, on your own terms, with a miniaturized piece of the world.
  
  Logo
An
. But
important
first
...
pause in the narrative
Visual Modeling
 I believe that this kind of play, because it encourages us to look more
closely at our world, is very useful enjoyment. In addition, I am convinced that
the clarity of vision developed by such play is best pursued by involving
ourselves, not in just the manipulation of models but in their design and construction as well.
This book is about a special kind of modeling that explores patterns and visual images. Sometimes we will create designs using visual models of machines that are very much from the real world. Other times, images will be produced by more abstract or imaginary machinery. All our models though, whatever they represent, will be constructed from Logo procedures. Logo is the raw material, but this book is not about Logo. In fact, you must try hard not to let Logo get in the way of your model building craft. Models first. OK?
OK. No more introduction. Let 's build an image - producing machine using
  What
language. But what, you ask, does fair mean? If you haven 't yet looked at the material in Chapter 1, now is the time. Chapter 1 will let you compare your current knowledge of Logo mechanics with what you will need to build the visual model described in the next section. Don 't just scan Chapter 1; go through
the examples in the text, and try out the exercises at the chapter 's end.
Even if you already know some Logo, a review probably would be helpful. Chapter 1 describes much of the geometry and trigonometry used throughout the book, so now is a good time to review that material. Try to apply some geometry
to a few of my exercises. In addition, Chapter 1 will introduce you to my Logo - talking style ; maybe you should get used to that style right away. Be sure to spend some time working on the centered polygon assignment. This exercise com - bines a review of Logo, the introduction of turtle walks, and simple geometry.
comes
next requires that you have a fair understanding of the Logo
 35

  Chapter2
 Go back and take at peek at Chapter 1 right now. Have a good read and take your time with it. If you are a real Logo high -flier, test your flair by doing the exercises at the end of Chapter I, before you glance through the hints given there. After having a go at these problems, compare your Logo style with mine.
On to modeling
I have decided to begin this work with something concrete, something selected
from the world of things. We can do some abstract modeling of ideas or emotions
later on. The example that follows is a description of a device that I vaguely
remember seeing described in an old Scientific American magazine. I've called it
a pipe - and -roller machine. I never built the thing, but I always wanted to see how it worked.
Pipes and rollers
Imagine that we are wandering about a construction site where there are useful
bits and pieces lying about, free for the taking. While this wandering will be
done only in our minds, the images seen there are based on impressions from past, real excursions.
We will need some short sections of plastic pipe, the kind used for plumbing. Try to find as many different -diametered pipes as you can. Here is a sketch of what you might have picked up so far.
     36

  Visual Modeling
    Next, let 's assemble a collection of wooden dowels of various diameters, from very small diameters to very large ones. Dowels, or rounded wooden pegs, are used to join together adjacent parts by fitting tightly into two corresponding holes. Dowels are used by cabinetmakers to assemble fine pieces of furniture when nails or screws would be unsightly ; and large dowel -pegs are still used to fit together wooden beams when aesthetics are more important than cost. Call the dowels that you have assembled " rollers " ; you will see why in just a minute. Here is a sketch of my dowel collection. (Sketches are models, too.)
Now, imagine that one section of pipe is floating in the air at eye level ; one end of the pipe is clearly visible to us, and the pipe 's length is parallel to the
      Assemblin
19thepipe-and-roller machine
  37

  Chapter2
 ground. Now, hold one of the dowel -rollers parallel to the length of the pipe and place it on top of the pipe.
   Next, imagine rolling the dowel around the circumference of the pipe until
it arrives back at its starting position at the top of the pipe. You will have to
hold the roller very carefully so that it doesn't slip on the pipe but rolls nicely
in contact with the pipe. If you roll the dowel around the pipe in a counterclockwise direction, the dowel will also turn counterclockwise.
-'-
"',.."
   The dowel would turn in a clockwise direction if the rolling -about -the-pipe was also in a clockwise direction. Note the two motions of the roller : the roller goes around the pipe as it turns around it own center. The two centers, the center of the pipe and the center of the roller, will feature in all our calculations.
 38

  VisualModeling
 Now that you have an image of the physical machine in your mind 's eye, I can ask you to begin manipulating the parts of the image. Imagine playing with this model in your mind. What will the roller " look like " as it rolls around the pipe? Can you draw a picture of it? Or better still, can you create a Logo model of this roller / pipe machine that can illustrate the motions for us?
Imagine, for example, that we glue an arrow onto the end of the roller.
What pattern will the tip of this arrow trace out as the roller moves around the pipe? Imagine a series of photographs taken at regular intervals as the roller moves around the pipe. Let's construct a Logo machine that will work in this photographic way. In other words, let 's build a Logo machine to model the physical pipe -and-roller events visually.
Roller talk
At first glance, this exercise looks pretty difficult.! certainly more complicated than the centered polygon problem discussed in Chapter 1. But, if we could just break this problem down into smaller, more manageable parts, as we broke the polygon problem down, some of the complexity might vanish. So let 's set about doing just that.
First, we can talk about the geometry of rolling cylinders to see what we already know. Then, we can do a turtle -walk scenario - with sketches and words. Finally, Logo will act as the glue to stick all the individual parts together.
     39

  Chapter 2
 Look at the figure on the left below. We see the roller at the top of the pipe, position (a), and then rolled counterclockwise around the pipe to position (b). How much has the roller turned between points (a) and (b)? The dark bands in the figure indicate the contact surfaces between the roller and the pipe. If there is no slipping, the length of the band on the roller must equal the length of the band of the pipe. Why?
a-
(b)(.
We could think of this rolling in another way. See the figure on the right above. Imagine that the roller stays fixed at position (a). The roller now rotates at (a) while the pipe is rotated- clockwise- underneath it from (b) to (a). In this alternative view, the roller also turns in a counterclockwise manner, by the distance indicated by the dark band. Here, as in the figure on the left, the length of the band on the pipe must equal the length of the band on the roller.
How can we calculate the lengths of these bands? First, note that the bands can be described as segments of a circle, that is, some fraction of the total circumference of a circle. Well, what do we know about circumferences? Any circle 's circumference, C, equals 2nR, where R is the radius of the circle. Now look at the figure on the next page.
    40

  -'--
The band on the pipe is some fraction of the circumference of the pipe. This
fraction is the angle 8 ( theta ), measured in degrees, divided by 360, the total
number of degrees in a circle. The length of the band on the pipe is, therefore,
27tRp8 / 360, where Rp is the radius of the pipe. The same thinking provides the
length of the band on the roller : 27tRr4 >/ 360. Here, Rr is the radius of the roller.
What next? We can set these two expressions equal to each other, since the
physical dimensions they represent are equal to each other in length. Then we
can rearrange terms to express <I> ( phi ), the degree rotation of the roller, in terms
of 8, the degree distance between (a ) and (b ). Here it is :
CP=8Rp /Rr
This rotation expression is very convenient. If we know how many times we want
to photograph the roller on its way around the pipe, we can calculate 8, the
degree distance between stoppings, by dividing 360 by the number of stoppings.
And knowing the radius of the pipe and of the roller, we can use the tidy expression above to calculate <P, the relative rotation of the roller from one
stopping point to the next.
So much for the roller talk. But before we go on to the turtle walk, will you
admit that you know more about this problem than you thought you knew at the
outset? Listen : breaking big problems down into smaller ones makes getting
Visual Modeling
 ( a. )
    41

  Chapter 2
 started easier. And once you get started moving in any direction, you will discover that you are already familiar with much of the scenery.
A turtle walk around the pipe
Remember that a turtle - walk scenario describes in words and sketches how you want the turtle to walk through a design. Let yourself go, but be specific.
Addressing your instructions to the turtle and talking out loud may be helpful. Let's use the sketches on the next page as the focal point of this scenario. I have divided my turtle walk into small scenes and have given each a letter designa tion.
The previous shapes in this section were drawn with Logo procedures, but I have intentionally left the following figures in freehand form ; they are taken from my own Logo notebook. I wanted to remind you that sketches come before Logo procedures that draw rounder circles. The following sketches record my visual doodling about this particular problem. But to appreciate the usefulness of sketches, you must do some yourself. Don 't just look at my examples.
Because sketches can be effective visual aids for careful thinking, they need to be drawn carefully. I occasionally use rulers and a compass, but not always. Of course, the small diagrams on the next page are final sketches, not beginning ones. Final drawings, like final Logo procedures, are the results of many preliminary studies, many of which did not "work out properly."
Word description of the turtle walk
DiagramA: Qrawingthe~i~e
Begin at position (1) facing straight up. Draw a circle around point (1) with radius Rp. This will be easyto do using CNGO.N(This procedureis listed below, but seeChapter1 for a full descriptionof it. Think of it asa black-box procedure
      42

  D.
F.
q G.
H.
E.
machine
VisualModeling
43
 Turtle -walk sketches of the roller -pipe
        .' -' J>".,'.',
...,....,..,'
,,.
", ~. 'D>...:..... ' ".' "'""',
I""
- "v,,-, \....". ~ '
'-../..,. "" -'.,,
.,..'
   
          1111
~ MOU ld2uoI O JeldE4~
Aue al pue
S o
: a1l1 E sau
a1.I~ a ~t?l ~snln ~unOUle UO !~e~Ol dq ~d~elrole.UMElp !a aqa4 P~lnoJMD aD u~oa4~ A~loldiD liaD1l1!1!qSJrDqaM ~Sallpu!{Jn~S~~OU!lEl!iM!elJplJa1nUD3l lO:J a]a14l1UO~ ~!~Uele!aMaElalapal {SU:g!!UIalrWa!rJllEol2aEle.I allna!Ol}OA{}~O~uaUlo!~{!UM}a!s!oUlaO !~1!:us:o)d!arauoelS!~l{'sJ1e}0x!1aGu ~ lanOl
G
MElp
Jo
s1uawn
PlnoM
Sn !pEl
~ lE
09 a1l1
OM }
Sa ){E1 NO ~ N :) 1U !od.IEl :JuaJ E punolE suo ~ Alod
sell ldIIOl dq ~ dSne ; ) dH. MO paAour 1aA 10U sell laIIol al
snUl noA ()~u!od~V.()UO !a all } Jo.Ia }uaJ all } O
!JapUO!1!sod 1UallnJ
~ ~UnOUle dUlOS pdUln ~ dq II !M s.aNlm~a(lZl1)-uo.09!~!sSond!pEuloJpoala-u~OUa~;A)lol(dZ~)SUnOpap!!p1t!s!?osld-JoOz:uraOEplJl-!a;I2J)ult?!!1MJlet?~lpSMOMlloEN a,ll~{1M+elOd~S'!2ua;!)JuetJ?~sale!PnOAl{J!l{MU!UO aa
OU II ! M MOlle dq ~ ' ( Z ) OZ NO~N:):aldwExa !1.I.L 'lallol a1.I~ Jo la ~Ua ;) a1.I~ I(Z) uo !~!sod o ~ aAOW put? dn uad a1.I~ ~ ;)!d '~xa N MOlle lad.uO~Alod a1l1{1saqS!!l1JeSlWn{J1lpue!J'1dEn1l11laI{J2l!e!lJ1S 2U!1(U1)!oudo !U}M!esolpd 'adaq!duaetJ{}JMoOll.eIa}uaJal{a1t{'}aJOua}H){Jeq.
l
'av ~ PUE 'UMElP aq 01 UO ~Alod a1l1 Jo sapuop!s Jo~Iuslealqwnu{ 1! 'UOa1!l11!so'dN 2u !1le1S al {1 urOlJ
aa
'
lEln ~ al SMElp
1E1l1
'
(

  Visual Modeling
  Diagram F: Orientintgherolleranddrawingthearrow
The roller has moved from position (2) to position (3) by rotating about its own center. We used the symbol <I>to indicate this rotation. The angle <I>is measured relative to the dotted line linking the centers of the pipe and roller : (1) to (3).
You have arrived at position (3), pointing along the axis (1) to (3). If you
now turn left by angle <I>= 8Rp/ Rr, you will be facing in the correct direction to draw the arrow. Draw the roller circle, too.
DiagramG: Gettingbacktothecenteorfthe12i12e
Turn right by 4>, pick up the pen, and move back down to (1).
DiagramH: Pre~aringforthenextrollersto~~ing~osition
Get ready to draw the next roller image : turn left by angle 8 and move out to position ( 4 ). The roller rotation angle at the point ( 4 ) is again measured relative
to the dotted line linking points (1) to (4). Why?
Angle cj> at position ( 4 ) equals 28Rp / Rr Why 28? Because cj> must be cal - culated relative to the starting position, and the roller has moved 28 degrees
      from the starting position ( 2 ). Turtle : you may now turn left arrow, turn right by cj>, and go back down to the center of the pipe.
Angle cj> at the next stopping position ( 5 ) is not shown in the will be 38Rp / Rr Why? Ora w a few diagrams to convince yourself back and look at the figures on page 40 for some help.
A turtle walk transfonned into Logo procedures
by cj>, draw the
diagrams. But it of all this. Go
   To start, recall that we have to glue an arrow onto the face of the roller. So let 's write a procedure to draw an arrow of any shaft length : L.
 45

  Chapter2
   SHAFT
 TO ARROW :L
 ; To draw a simple arrow of shaft ; each tip is given by.2*:L.
; PD FD :L
LT 140 FD.2*:L BK.2*:L
RT 280 FD.2*:L BK.2*:L LT 140 BK :L
PU
END
PIPEGONs
length
:L. The length of
  Let's call the procedure that will carry out this turtle walk PIPEGON. What will be the arguments? Certainly the radius of the pipe and the radius of the roller will be needed. We will also need to know e and how many stopping points we would like to photograph. Here is the list of arguments so far :
: RP, the radius of the pipe : RR, the radius of the roller
: THETA, the angle distance between stopping places : N, the number of stopping places
Let's add one more, : CUM, that will keep track of the total of the angle
turned from the starting roller position. We can now write the first line of PIPEGON:
TO PIPEGON :RP :RR :THETA :CUM :N 46
      
  How do you feel about rushing right into doing the rest? The following is not my first " rush " or even the second. My first few attempts had bugs in them, and they didn 't work as I had planned. But procedures almost never work the first time. That 's OK as long as your energy is up to fixing them.
 TO PIPEGON:RP :RR :THETA:CUM:N
IF :N<1[CNGON20:RPSTOP] PUFD :RP+ :RRPD
LT :CUM*:RP/:RR ARROW:RR*1.5
CNGON20 : RR
RT =CUM* =RP/ =RR
PUBK :RP+ :RR
LT :THETA
PIPEGON:RP :RR :THETA (:CUM+:THETA)
(:N- l )
on the of the
Visual Modeling
        END
Supporting procedures
   TO CNGON.
: N
: RAD
an N - position
,
,
To draw current
sided
polygon
RAD is the
centered
turtle circle
' s that
.
.
.
radius
, would pass through all of the polygon 's vertices.
.
, See Chapter 1 for a full PU FD : RAD
RT180 -(90*(:N-2)/:N)PD
description
of
CNGON
.
NGON : N ( 2 * : RAD * SIN ( 180 LT 180 - (90*(:N-2)/:N)
/ : N
 TO NGON :N
END
Some
pip
; To
; drawn
; is
REPEAT
draw
given
. egon
from
: N
by
[ FD
productions
PU BK END
: RAD
PD
: EDGE
an
 I typed
PIPEGON
N - sided polygon
the turtle 's current position, and its length
EDGE.
:EDGE RT360/:N]
60 30 60 0 6. This models, in a visual way, the rolling of a
. The
first
edge
will
be
 47

  Chapter2
 roller of radius 30 around the circumference of a 60 radius pipe. The roller stops along the circumference every 60 degrees, and 6 rollers will be drawn. The argu - ment : CUMis given an initial value of o. What is : CUMbeing used for? What happens if you begin with some other value, say 43.5?
  ~
One last point. In my turtle-walk scenario I drew the pipe circle before doing anything else. The procedure PIPEGONdraws it last. Why did I change the order of things? Well, I wanted to use recursion and to be able to specify the number of times recursion would happen. I used the argument : N to take care of this. PIPEGON's first line looks at the current value of : N; when : N"becomes zero, PIPEGON should be stopped. It is easier to know when a procedure should be stopped than when it has just begun, and this seemed a nice place to draw the pipe, after all the rollers had been drawn. Could you reorganize the procedure to draw the pipe before drawing any of the rollers?
Exploring PIPEGONdynamics
One of the pleasures of modeling is playing with the little model you have 48
      
  Visual Modeling
 built. Let's fiddle with PIPEGON's parts to seewhat happens. I will show you
only a few things to give you the idea. Let's start with some different argument values.
Here is the portrait of PIP EGaN 60 30 2 0 180.
But I don 't like all those circles. So I removed PIPEGON's third line. Here is the new version. The asterisks ( * * * ) mark where the line was removed from the original version of the procedure. Don 't type them, though.
        TO A.PIPEGON :RP :RR :THETA :CUM :N
; Arrow - only pipegon
IF :N<1[CNGON20:RPSTOP] PUFD :RP+ :RRPD
LT :CUM*:RP/:RR ARROW: RR* 1. 5
(***) <--- RT :CUM*:RP/ :RR
PU BK :RP + :RR
LT : THETA
A.PIPEGON:RP:RR:THETA(:CUM+:THETA) (:N-l)<--- END
new name
removed
newname
    line
      49

  Chapter2
Now this is a portrait of A.PIPEGON 60 30 2 0 180.
Instead of drawing an arrow on the roller, let 's draw a stripe along a diameter.WecanuseCNGONtodraw atwo-sidedpolygon with radius equalto the roller. We take out the ARROWprocedure and insert CNGON. Here it is:
     TO S.PIPEGON :RP :RR :THETA :COM :N ;.s..triped pipegon
IF :N < 1 [CNGON 20 :RP STOP ]
PO FD :RP + :RR PD
<- - -
new name
LT : COM * : RP / : RR
(***)
CNGON 2 :RR
RT : COM * : RP / : RR
PO BK :RP + :RR
LT : THETA
S. PIPEGON : RP : RR
END
<--- ARROW removed
: THETA
) ( : N - l )
< - - -
new name
<- - - 2- sided
( : COM + : THETA
CNGON
installed here
 50

   And here is a portrait of s.PIPEGON 60 30 2 0 180.
Now, imagine an invisible arrow glued to the front of the roller. At the tip, there is a flashing light. Here is the new part to fit into our PIPEGONmachine:
TO FLASH :L
; Flashes a light at distance :L from the starting point, ; and returns the turtle to where it started.
PU FD :L PD
REPEAT6 [FD 2 BK 2 RT 60]
PU BK :L PD END
To install FLASH into PIPEGON, we could fix a value for : L, perhaps based on the value for : RR. Or we could extend PIPEGONby adding another argument.
< - - - FLASH installed. CNGONremoved
<---
Visual
Modeling
      Call the extension L. PIPEGON.
TO L. PIPEGON : RP : RR : L
: THETA
: CUM
: N
IF :N < 1 [CNGON 20 :RP STOP ] PU FD :RP + :RR
LT :CUM * :RP / :RR
FLASH (***)
: L
RT :CUM * :RP / :RR PU BK :RP + :RR LT : THETA
L. PIPEGON : RP
  <- - - new
name and arg
 PD
         :RR :L :THETA (:CUM+:THETA) <---
(:N-l) new
  name and arg
 END
 51

  Chapter 2 Here
is the flash portrait of :
L.PIPEGON 60 30 40 2 0 180
     ~.~*"'*.~-
*- -.
.- ~~
..* *.. **
~.,.-~*.... J "'" "'~
*.* *~..
*'**"~".~
"'*~.*r
~
"..
" tt ~ * ~ o'\W* *"~ '" ""..
~
. tt
~ ~
-* *- ".~..*,,".~"
..""
L.PIPEGON 60 30
- 40
2 0 180
 - * -.,.
.. 1
""..
.~ ~
~ :' t..* *'" **
os -
.. *
~. *'.
...~
~'"
,:..
~....
~~...
,...
 What happens if we make the radius of the roller negative? Right. The roller is inside the pipe. Some examples are shown on the next page.
Cosure
Have you noticed that even the most complex designs we have done so far are drawn quite quickly? Each is complete by the time the roller has made a single 360-degree trip around the pipe. If the roller makes a second trip around the pipe, the design repeats exactly. We can describe this kind of design as one that has "closed upon itself" or, more briefly, that has "closed" after one trip.
Not all designs produced by our PIPEGONmachine will close after only one trip ; some will take several trips to close, and others will require a great number of trips. Experiments will show that altering the sizes of the roller and pipe leads to different closure patterns. What determines the number of trips before closure occurs? Can you calculate the trips until closure if you know the sizes of the roller and pipe? Could you " find " a design that never closed?
   52

  VisualModeling
 A portfolio of roller -inside -pipe portraits
     53

  Chapter 2
 On the next page is a PIPEGON design that closes only after a number of trips around the pipe. The individual images show the design at various trip stagesaround the pipe. Can you guess the pipe and roller sizes I used?
Words elicit images
Words that are visually descriptive, like closure, should call up a variety of images in your mind. This elicitation of mind -images can be enormously useful in visual modeling. In each of the following exercises, I will stress the importance of words. We must talk a lot in conjunction with sketching a lot. Take a few minutes here to think visually about the word closure. Say " closure " : what images does it bring to mind? Tell the turtle to " hurry up and bring a design to a close." Jot down, or sketch, the image ideas elicited in your own mind by the
chanting of the word. Put it all in your notebook.
Suppose you needed to find a synonym for closure. What would you suggest?
Any suggestion must be descriptive of all the image work we have completed. By the way, you probably won 't find closure in a standard dictionary. Why is this?
At the start of this chapter I mentioned that sometimes we would model machines from the real world - pipes and rollers are very real world - and other times we would model machines that aren 't so real. Perhaps we can make one model do both real and imaginary things. For example, can we make our PIPEGON machine draw some fantastic designs? (By the way, look at that word imaginary. Why does it have image in it? Can you imagine why?)
Let 's imagine a striped roller inside a pipe. The procedure PIPEGON will generate a composite picture of this roller as it travels around the inside of a pipe. So far, this is just like the situations viewed above. But now, let 's introduce the fantasy feature. Make the radius of the roller larger than the
   Imaginary
 machines
  54

  Visual Modeling
   A slowly closing pipegon
       55

  Chapter2
 radius of the pipe in which it "rolls." Is this possible? Can it be done? I asked PIP E GON to do it, and the results are shown on the next page. What is happening? Are these pictures of real or imaginary machines? How can you work out your answer? Can you sketch it?
Recapitula lion
Let's summarize what has happened in the last few pages. We have built a Logo model that can produce a large variety of images, some of them very surprising. But more important, we have seen how the act of modeling can facilitate the visual exploration of some of the characteristics of a real-world machine. Once we began to tinker with our model, we wanted to tinker further. Some of our designs posed difficult questions whose answers were not at all obvious.Closurewassuchaquestion.Weneededtodomoretinkering andmore experimenting to come to grips with what was going on.
Could we have predicted the directions this tinkering and experimentation
would take before we started? I don't think so. Once we begin to model parts of
our world, the act of modeling takes on a life of its own. I think we have touched
what Levi -Strauss said happens when one plays with miniatures. Model play
"gratifies the intelligence and gives rise to a sense of pleasure which can
already be called aesthetic." I hope you would also describe visual modeling as fun.
Why pipes and rollers?
I started with this particular machine because I was interested in it. I could have used any number of alternative illustrations, but this was my own direction. I will show you, in the chapters to come, dozens of other examples that illustrate the ways in which visual modeling encourages the modeler to look at the world differently.
     56

 Imaginary PIPEGONs?
:11,/Ill
S//
/ I]
I
Visual Modeling
57

      89 lall AI SES'UE asua's all S PIlOMa ' lO al lO l Ana Aill asalSaSt pJJ It noAUI G J8ldE4~
){ooq S!l{101aA!1EU)l!a1a?~Itl.{il~to!?aMa~1~!lJUMoa~'IS0.!l1OSnUMoOaAJlI'1IaU~:SE?tM1ln!SJ1I!u~1laEJ!JauSJ!JSA'aCIalald~~onaJlO passaldxa AnEqlaA '~no pa~JE AI~!J!I.saldillt?xa liMO lnOA l{~noll {1'l{Jt?olddt?liMO lnOA PpUa!~JE0ln1wploaJ~t?lnAOI~J!JU!Iadaxaq II'!lOM!AEl{aq JO aSlnOJ E ~lEllJ o~ 'OO~ SIEW!UE la
SnO!AqoosaqII!Ms!l[1JossaulnJasnal{11t?l{1ado{~l{PIU.ESJ'!Ul[EdWt?ls~alpquEtu?a2u~E!IlalMpoaillE Aall]. 'PIlOM all~2u!nl~suOJJoSAEMalE,,- sIap
?ns!A 01l{Jt?olddt?dUO'AlaS!Jald AlaA 'nOAMOl{-SS0~1JnSl!~SuUOO!1Juaas1alul!].AW'S]3POUlsula~~Ed asal{~paIIEJ aAEl{ naM SE~snf PlnoJ,
az!s lOJ uo iCl~ aldoad ~El{~ sula ~~Ed al{~ o~ SlJn.llSUOJaWEU al{~ saA!2 Ana)! ZU1JJS01 1.fJvo.Jddv.n1.Jn.JIs V S! ){ooq al{1Jo aN!1qnsal{11E{l1IIt?Ja~.UO!l{st?J p,a'nlnE1~JEn2l1uS!l{f~..o1uaAUEl{~InJdlal { alOW S! ~!Jload EuaAH '~! JOasuas
?U! sla1dt?l{J asal{1paJnpOl1u! put?palaplo aAt?l{ I )p{EutW?sol~a1adlqEtupnJ!SJ!JUaEdWs U~E!ll{1~!M~ !aua20wol { pa~E!~UalaJJ!pUn UEl{Jns aq o~SlEa.
!JlaXa Aill paJt?Id AllnJalt?J aAt?l{ I.Alt?l1!qlt?IOUS!a){l{o~osqulaS!l~{~1EdU!l{JSnasS!J~nlaOXl{a~!M ~aA 'po02 iClaASAEMIE~ou S! ~!JalI.1'pasodw {1Jo~U!laplOal{1'laAaMoH.s1uapmSAillJos1S!aPlaIl1O!uMal{1alp{u~tl?{sJ1!lS{MalaJ1O!ulsiMa!O~!IEolal{~laAO~!Jo~s~dwa~~Eual{~PUESa~ UOpast?q alt?SaS!JlaXaal{1JOIIV.pU!ill U! ~U!MOIIlo{J!al\{.{M1dsa~al)d{waast?~aldO1snugla ~~Ed ~ualEdsuEl ~l{2nollI ~PIloM s!l{ ~ES){OOIUEW"
'
s~s!~ua !Js SE aldoad lIE paMa !A A ~JEJUI 's~s!~ua!Js Aq pasn asol{~o~lEI!W!SalE ~El{~sanb!ul{Ja~2u!sn PIlOM S! a){EW o~Sa!l ~uoslad l{JEa ~El{~Ma!A S!l{ wall saWOJ awEJ o~W!EIJ S,A
A20IOl{JAsd PUE 'A20IO!JOS 'SJ!SAlld 'SJ!~Ewal {~Ew U! paU!El~ SEM 5'06 )! U! UlOq 'Ana)! a2loa ~ '2u !PI!nq Iapow ~noqE 2u !){U!l{~UMO AW paJuan ~Eal2 SEll Ol{M ~s!20IOl{JAsd UEJ!lawy U.EJo ){lOM al{~noA o~2U!JnpOl ~U
~lnJ 02 aw ~aI '~uawnJop IEuoslad AlaA E S! ){ooq s!l{~~El{~pa~~!WpE 2U!

  Visual Modeling
 other courses of behavior or inconsistent with them, intellectually reasoned or vegetatively sensed."
Each person 's scientist aspect encourages him to " improve his constructs by increasing his repertory, by altering them to provide better fits, and by subsuming them with subordinate constructs or systems." For Kelly, human behavior is the application of scientific methodin making sense of a particular environment. Rather than merely responding to surroundings, people use an experimental approach to test and extend their system of personal constructs. Each person 's goal, in Kelly 's view, is to build explanatory models that effectively explain and predict personal environments.
Kelly suggested shortcuts for improving construct systems. Kelly 's shortcut was to encourage individuals to make their own constructs verbally explicit. His most famous method for eliciting and verbalizing personal constructs is known as the repertory grid technique. Using slightly different words, Kelly 's techniques encouraged individuals to build verbal models of their own constructs. Once built, these verbal models could be analyzed in much the same way as we have analyzed our pipe -and-roller model. Tinkering with constructs would occur naturally, and this would encourage further tinkering. And as a result of this play, construct models might become more general and more powerful.
Kelly worked with verbal rather than visual models, but many of his ideas can be extended to the latter. My interest, as was Kelly 's, is to suggest how to describe our inner models. While Kelly was interested in the verbal description of models, I am interested in more graphical descriptions. My goal is to encourage you to look at your own visual baggage. Obviously, I need words, too, to help in my form of elicitation. Sometimes, you may think that I rely on words too much. Too much chat, you might say...
If you are intrigued by this very brief account of George Kelly 's work, find his book A Theory of Personality: the psychology of personal constructs (W. W. Norton, New York, 1963). All the Kelly quotes were taken from it.
 59

  Chapter2 Exercises
Exercis2e.1
Can you come up with some rules about PIPEGON closure? Specifically, can you characterize a final pipegon image in terms of the dimensions of its parts? Experiment a bit. Try to make some generalizations. Do the generalizations hold up after more experimenting? Whether you feel successful in this activity or not, find the following book in your local library : E. H. Lockwood, A Book of Curves (Cambridge University Press, Cambridge, 1963).
This book may help you think about closure. It may also suggest other
image ideas to think about visually. Don 't worry too much about the book 's
math. Look at the diagrams, and read the chapter names. Listen to these
chapters : cardioids, limac;ons, astroids, right strophoids, tractrices, roulettes,
and glissettes. What images do these names dredge up? Sketch them before you find the book.
Exercis2e.2
How do you feel about carnivals and amusement parks? Do you enjoy their mechanical rides? I 'm not talking about tame rides, like the merry -go- round or carousel, but wild rides that yank the rider through space. On the next page is a sketch of a machine that gave me a dose of healthy terror.
Suppose that we are watching this machine from a safe distance. A brave friend is sitting inside it and pointing a very bright flashlight at us. What pattern will this light trace out as the machine grinds into life?
The pulls and pushes on the rider of this machine change suddenly and unexpectedly. Can you make a picture of this? Can you describe visually why this kind of machine is so scary?
      60

  Exercis2e.;2
Visual Modeling
 f"t..~5HUhf 'T
,.....~----- - - --...-
  Design some imaginary carnival rides and give your machines imaginative names. Draw big sketchesof your ideas; draw them large enoughso that others can " read" them. Describe the ride in words so that potential travelers will know what to expec,t beforethey climb aboard. You had better show them some picturesofthetrip aswell.WhynotuseLogotogeneratethesescene?s
Exercis2.e4
Do you know the term " kinetic sculpture "? If not, you can guess what they are, or rather what they do? Kinetic sculptures are mechanical or electronic sculpture- machines that move, clank, or flash. Some even squirt water (for example, the
wonderful kinetic fountain designed by Nikki de Saint-Phalle and Jean Tinguely opposite the Pompidou Center in Paris).
   61

  Chapter2
 Carnival rides are a special class of kinetic sculptures. They may not seem suitable for art gallery installation, but I have seen films of amusement park rides included in exhibitions. The French sculptor Jean Tinguely does kinetic
sculpture on a more modest scale. Below is a reproduction of his " Homage a Marcel Duchamp," done in 1960. It is human scale, about 5 feet high.
Design and build a kinetic sculpture using Logo. You might start by trying to model the Tinguely machine. PIPEGONsare a kind of kinetic sculpture, too.
